import dynamix_sdk.base as _base


class CloudapiComputeGuestAgentEnableResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeGuestAgentEnableProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def guest_agent_enable(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeGuestAgentEnableResultBool:
        ...
